# eric4.QScintilla.Lexers.LexerCMake

Module implementing a CMake lexer with some additional methods.

### Classes

LexerCMake | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCMake

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerCMake, Lexer

### Methods

LexerCMake | Constructor
initProperties | Public slot to initialize the properties.

#### LexerCMake (Constructor)

LexerCMake(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerCMake.initProperties

initProperties()

Public slot to initialize the properties.

Up